summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorMattia Rizzolo <mattia@mapreri.org>2015-04-30 21:11:17 +0200
committerMattia Rizzolo <mattia@mapreri.org>2015-04-30 21:11:17 +0200
commit830dfb59e963bd9233b7eea4ff7acf87239c0dd1 (patch)
treea526fb0bea564e6902fdcdea45bf225943b1b0e8 /bin
parent3a67b3576bca9f89550db06cec72405837aeae17 (diff)
downloadjenkins.debian.net-830dfb59e963bd9233b7eea4ff7acf87239c0dd1.tar.xz
reproducible: setup_schroot: print apt invocation
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_setup_schroot.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/bin/reproducible_setup_schroot.sh b/bin/reproducible_setup_schroot.sh
index 41dc2354..1b45fc78 100755
--- a/bin/reproducible_setup_schroot.sh
+++ b/bin/reproducible_setup_schroot.sh
@@ -54,10 +54,12 @@ bootstrap() {
sudo chroot $CHROOT_TARGET apt-get update
if [ -n "$1" ] ; then
+ set -x
sudo chroot $CHROOT_TARGET apt-get update
# install debbindiff with all recommends...
#sudo chroot $CHROOT_TARGET apt-get install -y --no-install-recommends "$@"
sudo chroot $CHROOT_TARGET apt-get install -y "$@"
+ if ! $DEBUG ; then set +x ; fi
else
# schroot is used to download sources, so add our repo too
echo 'deb-src http://reproducible.alioth.debian.org/debian/ ./' > /etc/apt/sources.list.d/reproducible.list